-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: DanishTTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Ida"
language = "Danish"
marc_code = "dan"
language_id = "7"
id = "7002"
config_file = "danish_tts/config_tts.lua"
audio_files_path = "danish_tts/danish_tts"
rulesets_file = "danish_tts/danish_tts/rulesets_DAD.txt"
userdictionary_file = "danish_tts/danish_tts/udct_dad.dat"
apdb = "apdb/ida/nm"
audio_files_version = "0.2.0.2012011701"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "når du din destination",                                          -- You will reach your destination
    ["STOPOVER"] = "når du et stop på ruten",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                               -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                                    -- the junction
    ["ROUNDABOUT"] = "i rundkørslen",                               -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "tag frakørslen",                              -- take the exit
    ["UTURN"] = "lav en u-vending",                                                -- Make a uturn
    ["ENTER_HIGHWAY"] = "kør ind på motorvejen",
    ["LEAVE_HIGHWAY"] = "tag frakørslen",                                    -- take the exit
    ["CONTINUE_HIGHWAY"] = "tag frakørslen",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "kør ind på motorvejen",
    ["LEAVE_URBAN_HIGHWAY"] = "tag frakørslen",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "tag frakørslen",
    ["DRIVE_TO_NEAREST_ROAD"] = "Kør til närmeste vej",        -- drive to nearest road 
    ["FERRY"] = "tag færgen"
}

maneuver_check_and_then = {
    ["END"] = "når du din destination",                                          -- You will reach your destination
    ["STOPOVER"] = "når du et stop på ruten",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                               -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                                    -- the junction
    ["ROUNDABOUT"] = "i rundkørslen",                               -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "tag frakørslen",                              -- take the exit
    ["UTURN"] = "lav en u-vending",                                                -- Make a uturn
    ["ENTER_HIGHWAY"] = "ind på motorvejen",
    ["LEAVE_HIGHWAY"] = "tag frakørslen",                                    -- take the exit
    ["CONTINUE_HIGHWAY"] = "tag frakørslen",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "ind på motorvejen",
    ["LEAVE_URBAN_HIGHWAY"] = "tag frakørslen",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "tag frakørslen",
    ["DRIVE_TO_NEAREST_ROAD"] = "il den nærmeste vej",        -- drive to nearest road 
    ["FERRY"] = "tag færgen"
}

maneuver_turns_car = {
    ["NO_TURN"] = "fortsæt ligeud",
    ["KEEP_MIDDLE"] = "følg den midterste vognbane",
    ["KEEP_RIGHT"] = "hold til højre",
    ["LIGHT_RIGHT"] = "drej svagt til højre",
    ["QUITE_RIGHT"] = "drej til højre",
    ["HEAVY_RIGHT"] = "drej skarpt til højre",
    ["RETURN"] = "lav en u-vending",
    ["HEAVY_LEFT"] = "drej skarpt til venstre",
    ["QUITE_LEFT"] = "drej til venstre",
    ["LIGHT_LEFT"] = "drej svagt til venstre",
    ["KEEP_LEFT"] = "hold til venstre",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_car_with_now ={
    ["NO_TURN"] = "Fortsæt herefter ligeud",
    ["KEEP_MIDDLE"] = "Følg nu den midterste vejbane",
    ["KEEP_RIGHT"] = "Hold nu til højre",
    ["LIGHT_RIGHT"] = "Drej nu svagt til højre",
    ["QUITE_RIGHT"] = "Drej nu til højre",
    ["HEAVY_RIGHT"] = "Drej nu skarpt til højre",
    ["RETURN"] = "Lav nu en u-vending",
    ["HEAVY_LEFT"] = "Drej nu skarpt til venstre",
    ["QUITE_LEFT"] = "Drej nu til venstre",
    ["LIGHT_LEFT"] = "Drej nu svagt til venstre",
    ["KEEP_LEFT"] = "Hold nu til venstre",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "fortsæt ligeud",
    ["KEEP_MIDDLE"] = "fortsæt ligeud",
    ["KEEP_RIGHT"] = "Tag vejen til højre",
    ["LIGHT_RIGHT"] = "drej svagt til højre",
    ["QUITE_RIGHT"] = "drej til højre",
    ["HEAVY_RIGHT"] = "drej skarpt til højre",
    ["RETURN"] = "lav en u-vending",
    ["HEAVY_LEFT"] = "drej skarpt til venstre",
    ["QUITE_LEFT"] = "drej til venstre",
    ["LIGHT_LEFT"] = "drej svagt til venstre",
    ["KEEP_LEFT"] = "Tag vejen til venstre",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian_with_now= {
    ["NO_TURN"] = "Fortsæt herefter ligeud",
    ["KEEP_MIDDLE"] = "Følg nu den midterste vejbane",
    ["KEEP_RIGHT"] = "Tag nu vejen til højre",
    ["LIGHT_RIGHT"] = "Drej nu svagt til højre",
    ["QUITE_RIGHT"] = "Drej nu til højre",
    ["HEAVY_RIGHT"] = "Drej nu skarpt til højre",
    ["RETURN"] = "Lav nu en u-vending",
    ["HEAVY_LEFT"] = "Drej nu skarpt til venstre",
    ["QUITE_LEFT"] = "Drej nu til venstre",
    ["LIGHT_LEFT"] = "Drej nu svagt til venstre",
    ["KEEP_LEFT"] = "Tag nu vejen til venstre",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "gå gennem bygningen",
    ["SQUARE"] = "gå over pladsen",
    ["PARK"] = "gå gennem parken",
    ["STAIRS"] = "tag trappen",
    ["ELEVATOR"] = "tag elevatoren",
    ["ESCALATOR"] = "tag trappen"
}

final_command = {
    ["END"] = "Du har nået din destination",                  -- You have reached your destination
    ["STOPOVER"] = "Du har nået et stop på ruten",                -- You have reached a stopover
    ["UTURN"] = "Lav nu en u-vending",                                          -- Now make a u turn
    ["EXIT_ROUNDABOUT"] = "Tag nu frakørslen",                              -- Now take the exit
    ["FERRY"] = "Tag nu færgen"
}

exit_number_check = {
    [1] = {"tag den første frakørsel", "drej ved den første gade"},                      -- take the first exit
    [2] = {"tag den anden frakørsel", "drej ved den anden gade"},           -- take the second exit
    [3] = {"tag den tredje frakørsel", "drej ved den tredje gade"},                   -- take the third exit
    [4] = {"tag den fjerde frakørsel", "drej ved den fjerde gade"},                -- take the fourth exit
    [5] = {"tag den femte frakørsel", "drej ved den femte gade"},                      -- take the fifth exit
    [6] = {"tag den sjette frakørsel", "drej ved den sjette gade"},                  -- take the sixth exit
    [7] = {"tag den syvende frakørsel", "tag den syvende frakørsel"},          -- take the seventh exit
    [8] = {"tag den ottende frakørsel", "tag den ottende frakørsel"},              -- take the eighth exit
    [9] = {"tag den niende frakørsel", "tag den niende frakørsel"},                  -- take the ninth exit
    [10] = {"tag den tiende frakørsel", "tag den tiende frakørsel"},                -- take the tenth exit
    [11] = {"tag den ellevte frakørsel", "tag den ellevte frakørsel"},       -- take the eleventh exit
    [12] = {"tag den tolvte frakørsel", "tag den tolvte frakørsel"}             -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "mil",
    ["YARDS"] = "yards",
    ["KILOMETER"] = "kilometer",
    ["METERS"] = "meter",
    ["METER"] = "meter",
    ["KILOMETERS"] = "kilometer",
    ["MILES"] = "mil",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "nord",
    ["NORTH_EAST"] = "nordøst",
    ["EAST"] = "øst",
    ["SOUTH_EAST"] = "sydøst",
    ["SOUTH"] = "syd",
    ["SOUTH_WEST"] = "sydvest",
    ["WEST"] = "vest",
    ["NORTH_WEST"] = "nordvest"
}

misc = { 
    ["gps_signal_lost_wav"] = "GPS-signal mistet",
    ["gps_signal_restored_wav"] = "GPS-forbindelsen er genoprettet",
 --   ["no_gps_signal_wav"] = "Intet GPS-signal",
    ["route_recalculation_wav"] = "Ny beregning af ruten",
    ["now_wav"] = "Nu",
    ["end_of_street_wav"] = "For enden af vejen",
    ["follow_motorway_wav"] = "Følg hovedvejen",
    ["follow_road_wav"] = "Følg vejen",
    ["for_wav"] = nil,
    ["after_wav"] = "Efter",
    ["the_junction_wav"] = "krydset",
    ["half_a_mile_wav"] = "en halv mil",
    ["quarter_a_mile_wav"] = "en kvart mil",
    ["and_then_immediately_wav"] = "og straks derefter",
    ["safety_camara_ahead_wav"] = "Fartkamera forude",
    ["over_speed_limit_wav"] = "Vær opmærksom på fartgrænsen",
    ["traffic_automatic_detour_wav"] = "Trafik på ruten, kører uden om",
    ["traffic_manual_detour_wav"] = "Trafik på ruten, vil du køre uden om?",
    ["no_detour_possible"] = "Ingen rute fundet uden om trafikken",
    ["and_wav"] = "og",
    ["and_then_wav"] = "og derefter",
    ["and_then_enter_wav"] = "og kør derefter",
    ["and_continue_on_wav"] = "og fortsæt ad",
    ["towards_wav"] = "mod",
    ["turn_wav"] = "drej",
    ["onto_wav"] = "ad",
    ["exit_wav"] = "tag frakørslen",
    ["second_right_wav"] = "tag anden vej til højre",
    ["second_left_wav"] = "tag anden vej til venstre",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "gå venstre om rundkørslen",
    ["walk_right_roundabout_wav"] = "gå højre om rundkørslen",
    ["walk_roundabout_wav"] = "Gå rundt om rundkørslen",
    ["head_wav"] = "Gå mod",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "på",
    ["on_head_wav"] = "ad",
    ["the_footpath_wav"] = "stien"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


